### Method

# GtkSource Buffer get_source_marks_at_iter

#### Declaration [src]

    GSList*
    gtk_source_buffer_get_source_marks_at_iter (
      GtkSourceBuffer* buffer,
      GtkTextIter* iter,
      const gchar* category
    )

#### Description [src]

Returns the list of marks of the given category at `iter`.

If `category` is `NULL` it returns all marks at `iter`.

#### Parameters

`iter`

  Type: `GtkTextIter`

  An iterator.

  The data is owned by the caller of the method.

`category`

  Type: `const gchar*`

  Category to search for, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: A list of `GtkSourceMark*`

a newly allocated `GSList`.

The caller of the method takes ownership of the returned data container, but not the data inside it.